$NOMOD51

;GPIO SFRs definition.
P0               EQU      0x80

P00              EQU      P0+0x00
P01              EQU      P0+0x01
P02              EQU      P0+0x02
P03              EQU      P0+0x03
P04              EQU      P0+0x04
P05              EQU      P0+0x05
P06              EQU      P0+0x06
P07              EQU      P0+0x07

P1               EQU      0x90

P10              EQU      P1+0x00
P11              EQU      P1+0x01
P12              EQU      P1+0x02
P13              EQU      P1+0x03
P14              EQU      P1+0x04
P15              EQU      P1+0x05
P16              EQU      P1+0x06
P17              EQU      P1+0x07

P2               EQU      0xA0

P20              EQU      P2+0x00
P21              EQU      P2+0x01
P22              EQU      P2+0x02
P23              EQU      P2+0x03
P24              EQU      P2+0x04
P25              EQU      P2+0x05
P26              EQU      P2+0x06
P27              EQU      P2+0x07

P3               EQU      0xB0

P30              EQU      P3+0x00
P31              EQU      P3+0x01
P32              EQU      P3+0x02
P33              EQU      P3+0x03
P34              EQU      P3+0x04
P35              EQU      P3+0x05
P36              EQU      P3+0x06
P37              EQU      P3+0x07

P4               EQU      0xC0

P40              EQU      P4+0x00
P41              EQU      P4+0x01
P42              EQU      P4+0x02
P43              EQU      P4+0x03
P44              EQU      P4+0x04
P45              EQU      P4+0x05
P46              EQU      P4+0x06
P47              EQU      P4+0x07

P5               EQU      0xC8

P50              EQU      P5+0x00
P51              EQU      P5+0x01
P52              EQU      P5+0x02
P53              EQU      P5+0x03
P54              EQU      P5+0x04
P55              EQU      P5+0x05
P56              EQU      P5+0x06
P57              EQU      P5+0x07

P6               EQU      0xE8

P60              EQU      P6+0x00
P61              EQU      P6+0x01
P62              EQU      P6+0x02
P63              EQU      P6+0x03
P64              EQU      P6+0x04
P65              EQU      P6+0x05
P66              EQU      P6+0x06
P67              EQU      P6+0x07

P7               EQU      0xF8

P70              EQU      P7+0x00
P71              EQU      P7+0x01
P72              EQU      P7+0x02
P73              EQU      P7+0x03
P74              EQU      P7+0x04
P75              EQU      P7+0x05
P76              EQU      P7+0x06
P77              EQU      P7+0x07

P0M0             EQU      0x94
P0M1             EQU      0x93
P1M0             EQU      0x92
P1M1             EQU      0x91
P2M0             EQU      0x96
P2M1             EQU      0x95
P3M0             EQU      0xB2
P3M1             EQU      0xB1
P4M0             EQU      0xB4
P4M1             EQU      0xB3
P5M0             EQU      0xCA
P5M1             EQU      0xC9
P6M0             EQU      0xCC
P6M1             EQU      0xCB
P7M0             EQU      0xE2
P7M1             EQU      0xE1

;System manage SFRs definition.
PCON             EQU      0x87
AUXR             EQU      0x8E
AUXR1            EQU      0xA2
P_SW1            EQU      0xA2
CLK_DIV          EQU      0x97
BUS_SPEED        EQU      0xA1
P1ASF            EQU      0x9D
P_SW2            EQU      0xBA

;Interrupt SFRs definition.
IE               EQU      0xA8

EA               EQU      IE+0x07
ELVD             EQU      IE+0x06
EADC             EQU      IE+0x05
ES               EQU      IE+0x04
ET1              EQU      IE+0x03
EX1              EQU      IE+0x02
ET0              EQU      IE+0x01
EX0              EQU      IE+0x00

IP               EQU      0xB8

PPCA             EQU      IP+0x07
PLVD             EQU      IP+0x06
PADC             EQU      IP+0x05
PS               EQU      IP+0x04
PT1              EQU      IP+0x03
PX1              EQU      IP+0x02
PT0              EQU      IP+0x01
PX0              EQU      IP+0x00

IE2              EQU      0xAF
IP2              EQU      0xB5
INT_CLKO         EQU      0x8F

;Timer SFRs definition.
TCON             EQU      0x88

TF1              EQU      TCON+0x07
TR1              EQU      TCON+0x06
TF0              EQU      TCON+0x05
TR0              EQU      TCON+0x04
IE1              EQU      TCON+0x03
IT1              EQU      TCON+0x02
IE0              EQU      TCON+0x01
IT0              EQU      TCON+0x00

TMOD             EQU      0x89
TL0              EQU      0x8A
TL1              EQU      0x8B
TH0              EQU      0x8C
TH1              EQU      0x8D
T4T3M            EQU      0xD1
T3T4M            EQU      0xD1
T4H              EQU      0xD2
T4L              EQU      0xD3
T3H              EQU      0xD4
T3L              EQU      0xD5
T2H              EQU      0xD6
T2L              EQU      0xD7
WKTCL            EQU      0xAA
WKTCH            EQU      0xAB
WDT_CONTR        EQU      0xC1

;UASRT SFRs definition.
SCON             EQU      0x98

SM0              EQU      SCON+0x07
SM1              EQU      SCON+0x06
SM2              EQU      SCON+0x05
REN              EQU      SCON+0x04
TB8              EQU      SCON+0x03
RB8              EQU      SCON+0x02
TI               EQU      SCON+0x01
RI               EQU      SCON+0x00

SBUF             EQU      0x99
S2CON            EQU      0x9A
S2BUF            EQU      0x9B
S3CON            EQU      0xAC
S3BUF            EQU      0xAD
S4CON            EQU      0x84
S4BUF            EQU      0x85
SADDR            EQU      0xA9
SADEN            EQU      0xB9

;ADC SFRs definition.
ADC_CONTR        EQU      0xBC
ADC_RES          EQU      0xBD
ADC_RESL         EQU      0xBE

;SPI SFRs definition.
SPSTAT           EQU      0xCD
SPCTL            EQU      0xCE
SPDAT            EQU      0xCF

;IAP/ISP SFRs definition.
IAP_DATA         EQU      0xC2
IAP_ADDRH        EQU      0xC3
IAP_ADDRL        EQU      0xC4
IAP_CMD          EQU      0xC5
IAP_TRIG         EQU      0xC6
IAP_CONTR        EQU      0xC7

;PCA/PWM SFRs definition.
CCON             EQU      0xD8

CF               EQU      CCON+0x07
CR               EQU      CCON+0x06
CCF2             EQU      CCON+0x02
CCF1             EQU      CCON+0x01
CCF0             EQU      CCON+0x00

CMOD             EQU      0xD9
CL               EQU      0xE9
CH               EQU      0xF9
CCAPM0           EQU      0xDA
CCAPM1           EQU      0xDB
CCAPM2           EQU      0xDC
CCAP0L           EQU      0xEA
CCAP1L           EQU      0xEB
CCAP2L           EQU      0xEC
PCA_PWM0         EQU      0xF2
PCA_PWM1         EQU      0xF3
PCA_PWM2         EQU      0xF4
CCAP0H           EQU      0xFA
CCAP1H           EQU      0xFB
CCAP2H           EQU      0xFC

;Comparator  SFRs definition.
CMPCR1           EQU      0xE6
CMPCR2           EQU      0xE7

;PWM  SFRs definition.
PWMCFG           EQU      0xf1
PWMCR            EQU      0xf5
PWMIF            EQU      0xf6
PWMFDCR          EQU      0xf7

;These SFRs are located in xdata, the seventh bit of the P_SW2 shoud be
;setted to 1 before you try to access them. 
PWMC             EQU      0xFFF0
PWMCH            EQU      0xFFF0
PWMCL            EQU      0xFFF1
PWMCKS           EQU      0xFFF2
PWM2T1           EQU      0xFF00
PWM2T1H          EQU      0xFF00
PWM2T1L          EQU      0xFF01
PWM2T2           EQU      0xFF02
PWM2T2H          EQU      0xFF02
PWM2T2L          EQU      0xFF03
PWM2CR           EQU      0xFF04
PWM3T1           EQU      0xFF10
PWM3T1H          EQU      0xFF10
PWM3T1L          EQU      0xFF11
PWM3T2           EQU      0xFF12
PWM3T2H          EQU      0xFF12
PWM3T2L          EQU      0xFF13
PWM3CR           EQU      0xFF14
PWM4T1           EQU      0xFF20
PWM4T1H          EQU      0xFF20
PWM4T1L          EQU      0xFF21
PWM4T2           EQU      0xFF22
PWM4T2H          EQU      0xFF22
PWM4T2L          EQU      0xFF23
PWM4CR           EQU      0xFF24
PWM5T1           EQU      0xFF30
PWM5T1H          EQU      0xFF30
PWM5T1L          EQU      0xFF31
PWM5T2           EQU      0xFF32
PWM5T2H          EQU      0xFF32
PWM5T2L          EQU      0xFF33
PWM5CR           EQU      0xFF34
PWM6T1           EQU      0xFF40
PWM6T1H          EQU      0xFF40
PWM6T1L          EQU      0xFF41
PWM6T2           EQU      0xFF42
PWM6T2H          EQU      0xFF42
PWM6T2L          EQU      0xFF43
PWM6CR           EQU      0xFF44
PWM7T1           EQU      0xFF50        
PWM7T1H          EQU      0xFF50        
PWM7T1L          EQU      0xFF51
PWM7T2           EQU      0xFF52
PWM7T2H          EQU      0xFF52
PWM7T2L          EQU      0xFF53
PWM7CR           EQU      0xFF54


