                 $INCLUDE (Map.inc)

				 NAME     Frq_Adj_Model
				 PUBLIC   Frq_Adj_Model
				 EXTRN    CODE  (Key_Scan)
				 EXTRN    CODE  (Fogger_Drv_Con)
				 EXTRN    CODE  (IAP_Write)
				 EXTRN    DATA  (Key_Event)
				 EXTRN    DATA  (Fogger_Drv_DC)

FrqAdjModelFunc  SEGMENT  CODE
                 RSEG     FrqAdjModelFunc
			
Frq_Adj_Model:   JB       P32,Frq_Adj_SKip
;If Key is released when all initial works were completed,
;frequency adjustment model will not be activated. The
;code is running at normal model.
                 MOV      Fogger_Drv_DC,#0xFF
				 SETB     C
				 ACALL    Fogger_Drv_Con
;Turn on fogger ceramics disc driver and set to maximum output.
				 MOV      R0,#0x53
;Set initial Division_factor value.
FAM_Loop:        MOV      A,Key_Event
                 JZ       FAM_Loop
;Wait for valid key input.
                 CJNE     A,#0x02,FAM_Short_Press
;Long pressed envent was generated.
                 MOV      A,R0
				 DEC      A
				 MOV      R7,A
;Make a copy of new Division_factor for next operation.
				 ADD      A,#0xBA
				 JNC      Div_f_uf
;Division_factor decrease one, then check whether its reachs the
;minimum limit.If not, new Division_factor value will be written
;to EEPROM.
                 MOV      T2L,R7
;Change the frequency of fogger ceramics disc driving signal by
;writing new Division_factor to the following regsiter.
				 DEC      R0
                 MOV      R4,#0x02
				 MOV      R5,#0x00
				 ACALL    IAP_Write
;Update new Division_factor value to EEPROM.
Div_f_uf:   	 MOV      Key_Event,#0x00
;Clean key event flag after specific key event is
;processed.
                 JMP      FAM_Loop
FAM_Short_Press: MOV      A,R0
                 INC      A
				 MOV      R7,A
;Make a copy of Division_factor for next operation.
				 ADD      A,#0x74
				 JC       Div_f_of
;Division_factor plus one, then check whether its reachs the
;maximum limit.If not, new Division_factor value will be written
;to EEPROM.
                 MOV      T2L,R7
;Change the frequency of fogger ceramics disc driving signal by
;writing new Division_factor to the following regsiter.
				 INC      R0
                 MOV      R4,#0x02
				 MOV      R5,#0x00
				 ACALL    IAP_Write
;Update new Division_factor value to EEPROM.
Div_f_of:        MOV      Key_Event,#0x00
;Clean key event flag after specific key event is
;processed.
                 JMP      FAM_Loop
Frq_Adj_SKip:    RET

				 END
