				 NAME     MUL_MLA
			     PUBLIC   UMUL_8_16_To_24
				 ;PUBLIC   UMLA_8_16_To_24
				 ;PUBLIC   SMUL_8_16_To_24
				 PUBLIC   SMLA_8_16_To_24
				 
MUL_MLA_Func     SEGMENT  CODE
                 RSEG     MUL_MLA_Func

UMUL_8_16_To_24: MOV      A,R5
                 MOV      B,R7
				 MUL      AB
				 MOV      R7,A
				 MOV      A,R5
				 MOV      R5,B
				 MOV      B,R6
				 MUL      AB
				 ADD      A,R5
                 MOV      R6,A
				 CLR      A
				 ADDC     A,B
                 MOV      R5,A
				 RET
;R5*[R6,R7]=[R5,R6,R7].
;UMLA_8_16_To_24: MOV      A,R5
                 ;MOV      B,R7
				 ;MUL      AB
				 ;XCH      A,R6
				 ;MOV      R4,B
				 ;MOV      B,R5
				 ;MUL      AB
				 ;ADD      A,R4
				 ;XCH      A,R1
				 ;ADDC     A,#0x00
				 ;XCH      A,R6
				 ;ADD      A,R3
				 ;MOV      R7,A
				 ;MOV      A,R1
				 ;ADDC     A,R2
				 ;XCH      A,R6
				 ;MOV      R5,B
				 ;ADDC     A,R5
				 ;MOV      R5,A
                 ;RET
;;[R6,R7]*R5+[R1,R2,R3]=[R5,R6,R7].
;SMUL_8_16_To_24: MOV      A,R5
                 ;ANL      A,#0x80
				 ;MOV      R4,A 
				 ;JZ       SMUL_R5_Posi
                 ;CLR      A
				 ;CLR      C
				 ;SUBB     A,R5
				 ;MOV      R5,A
;SMUL_R5_Posi:    MOV      A,R6
                 ;ANL      A,#0x80
				 ;JZ       SMUL_R6R7_Posi
				 ;ADD      A,R4
				 ;MOV      R4,A
                 ;CLR      A
				 ;CLR      C
                 ;SUBB     A,R7
				 ;MOV      R7,A
				 ;CLR      A
				 ;SUBB     A,R6
				 ;MOV      R6,A
;SMUL_R6R7_Posi:  ACALL    UMUL_8_16_To_24
                 ;CJNE     R4,#0x00,SMUL_Neg
				 ;RET
;SMUL_Neg:		 CLR      C
				 ;CLR      A
				 ;SUBB     A,R7
				 ;MOV      R7,A
				 ;CLR      A
				 ;SUBB     A,R6
				 ;MOV      R6,A
				 ;CLR      A
				 ;SUBB     A,R5
				 ;MOV      R5,A
                 ;RET
;;R5*[R6,R7]=[R5,R6,R7].
SMLA_8_16_To_24: MOV      A,R5
                 ANL      A,#0x80
				 MOV      R4,A 
				 JZ       SMLA_R5_Posi
                 CLR      A
				 CLR      C
				 SUBB     A,R5
				 MOV      R5,A
SMLA_R5_Posi:    MOV      A,R6
                 ANL      A,#0x80
				 JZ       SMLA_R6R7_Posi
				 ADD      A,R4
				 MOV      R4,A
                 CLR      A
				 CLR      C
                 SUBB     A,R7
				 MOV      R7,A
				 CLR      A
				 SUBB     A,R6
				 MOV      R6,A
SMLA_R6R7_Posi:  ACALL    UMUL_8_16_To_24
				 CJNE     R4,#0x00,SMAL_Neg
                 MOV      A,R3
                 ADD      A,R7
				 MOV      R7,A
				 MOV      A,R2
                 ADDC     A,R6
				 MOV      R6,A
				 MOV      A,R1
                 ADDC     A,R5
				 MOV      R5,A
                 RET
SMAL_Neg:		 CLR      C
				 MOV      A,R3
				 SUBB     A,R7
				 MOV      R7,A
	             MOV      A,R2
				 SUBB     A,R6
				 MOV      R6,A
				 MOV      A,R1
				 SUBB     A,R5
				 MOV      R5,A
				 RET
;[R6,R7]*R5+[R1,R2,R3]=[R5,R6,R7].
                 END