$NOMOD51

                 $INCLUDE (Map.inc)

B                DATA     0xF0
PSW              DATA     0xD0
SP               DATA     0x81
DPL              DATA     0x82
DPH              DATA     0x83    
;Core SFRs definition.
                 NAME     MSC8051_STARTUP
				 EXTRN    CODE  (Main)
				 EXTRN    CODE  (Timer0_handler)
				 
                 DSEG     AT    0x00
    			 DS       0x20
;Reserved, are took up by 4 groups of general purpose register.
	             ISEG     AT    0x80
STACK:           DS       0x40
                 
                 CSEG     AT    0x00
                 LJMP     Reset_handler
;Reset_handler.
                 CSEG     AT    0x03
				 LJMP     Reset_handler
;INT0_handler.
                 CSEG     AT    0x0B
				 LJMP     Timer0_handler
;Timer0_handler.
                 ;CSEG     AT    0x13
				 ;LJMP     Reset_handler
;;INT1_handler.
                 ;CSEG     AT    0x23
				 ;LJMP     Reset_handler
;;USART1_handler.
                 ;CSEG     AT    0x2B
				 ;LJMP     Reset_handler
;;ADC_handler.
                 ;CSEG     AT    0x33
				 ;LJMP     Reset_handler
;;LVD_handler.
                 ;CSEG     AT    0x3B
				 ;LJMP     Reset_handler
;;CCP_PCA_PWM_handler.
                 ;CSEG     AT    0x4B
				 ;LJMP     Reset_handler
;;SPI_handler.
                 ;CSEG     AT    0x53
				 ;LJMP     Reset_handler
;;INT2_handler.
                 ;CSEG     AT    0x5B
				 ;LJMP     Reset_handler
;;INT3_handler.
                 ;CSEG     AT    0x63
				 ;LJMP     Reset_handler
;;Timer2_handler.
                 ;CSEG     AT    0x83
				 ;LJMP     Reset_handler
;;TNT4_handler.
                 ;CSEG     AT    0xAB
				 ;LJMP     Reset_handler
;;CMP_handler.

Reset_handler    SEGMENT  CODE
                 RSEG     Reset_handler

                 CLR      P30
;Force P3.0 to low level immediately after reset. The initial
;state of all GPIOs are high level.
                 MOV      R0,#0xFF
                 CLR      A
InitLoop1:       MOV      @R0,A
                 DJNZ     R0,InitLoop1
;Data initialize to 0.
                 ;MOV      R0,#0xFF
				 ;MOV      DPTR,#0x0100
;InitLoop2:       MOVX     @DPTR,A
                 ;INC      DPTR
                 ;DJNZ     R0,InitLoop2
;Idata initialize to 0.
                 MOV      SP,#STACK-1
;Stack bottom setted.
                 LJMP     Main
;Go to main function after all initialization work is done.

                 END